# Subscribe to webhook

Subscribes to a specific type of webhook. If a store_id is passed in, the webhooks will only be triggered for that specific store_id.

Note: Webhooks can only be modified through the ShipStation UI under Account Settings.

Endpoint: POST /webhooks/subscribe
Version: 1.0.0
Security: basicAuth

## Request fields (application/json):

  - `target_url` (string, required)
    The URL to send the webhooks to
    Example: "http://someexamplewebhookurl.com/neworder"

  - `event` (string, required)
    The type of webhook to subscribe to
    Enum: "ORDER_NOTIFY", "ITEM_ORDER_NOTIFY", "SHIP_NOTIFY", "ITEM_SHIP_NOTIFY", "FULFILLMENT_SHIPPED", "FULFILLMENT_REJECTED"

  - `store_id` (any)
    Store ID (optional - webhooks will only trigger for this store)
    Example: 12345

  - `friendly_name` (string)
    Display name for the webhook
    Example: "My Webhook"

## Response 200 fields (application/json):

  - `WebHookID` (integer)
    Example: 123456

  - `HookType` (string)

  - `Url` (string)

  - `Name` (string)

## Response 400 fields (application/json):

  - `message` (string)
    Example: "Invalid request parameters"

## Response 401 fields (application/json):

  - `message` (string)
    Example: "Invalid API credentials"

## Response 500 fields (application/json):

  - `message` (string)
    Example: "An internal error occurred"


